/**
 * ParticipationTargetLocation.java
 *
 * File generated from the medication::ParticipationTargetLocation uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationTargetLocation.
 *
 * 
 */

@XmlType(name = "ParticipationTargetLocation")
@XmlEnum
@XmlRootElement(name = "ParticipationTargetLocation")
public enum ParticipationTargetLocation {
	@XmlEnumValue("LOC")
	LOC("LOC"),
	@XmlEnumValue("DST")
	DST("DST"),
	@XmlEnumValue("ELOC")
	ELOC("ELOC"),
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("RML")
	RML("RML"),
	@XmlEnumValue("VIA")
	VIA("VIA");
	
	private final String value;

    ParticipationTargetLocation(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationTargetLocation fromValue(String v) {
        for (ParticipationTargetLocation c: ParticipationTargetLocation.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}